%{expand: %%define _rel %(date '+%%Y%%m%%d')}
Summary: The "Maximum RPM" book
Name: maximum-rpm
Version: 1.0
Release: 0.%{_rel}
License: OPL
Group: Documentation
Source: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
"Maximum RPM" is a book about the RPM Package Manager or, as it is known
to its friends, RPM.

The book is divided into two major sections. The first section is for
anyone who needs to use RPM on his/her system. The second section covers
all there is to know about build packages using RPM.

%prep
%setup -q

%build
./configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR="$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Maximum RPM
Comment=Read about RPM
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/html/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

cp docs.png $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/docs.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_defaultdocdir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
%{_defaultdocdir}/%{name}-%{version}/docs.png

%changelog
* Thu Sep 05 2002 Tammy Fox <tfox@redhat.com>
- Add desktop file
- remove link to non-existent docbook.css
- update links to stylesheet

* Thu Apr 19 2001 Jeff Johnson <jbj@redhat.com>
- Prepare for Raw Hide distribution.

* Thu Apr  5 2001 Jeff Johnson <jbj@redhat.com>
- Create.
